aboutsummaryrefslogtreecommitdiffstats
path: root/chapter9
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 02:01:33 +0000
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 02:01:33 +0000
commitca7ec24a78f9bd8824da23be1c24a98a3c764f5f (patch)
treef8b56862b35c0765024a081f3814043d6b172453 /chapter9
parent13f2c64995621d3180b468c4d525eff1eb8c9993 (diff)
Make adjustments for Odroid N2+ aarch64 build.
Diffstat (limited to 'chapter9')
-rw-r--r--chapter9/bashprofile.sh1
-rw-r--r--chapter9/bootscriptconf.sh1
-rw-r--r--chapter9/inputrc.sh1
-rw-r--r--chapter9/network.sh1
-rw-r--r--chapter9/shells.sh1
5 files changed, 5 insertions, 0 deletions
diff --git a/chapter9/bashprofile.sh b/chapter9/bashprofile.sh
index 7ae73c2..22d3171 100644
--- a/chapter9/bashprofile.sh
+++ b/chapter9/bashprofile.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/profile << "EOF"
# Begin /etc/profile
diff --git a/chapter9/bootscriptconf.sh b/chapter9/bootscriptconf.sh
index ae9633c..c5eb759 100644
--- a/chapter9/bootscriptconf.sh
+++ b/chapter9/bootscriptconf.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/inittab << "EOF"
# Begin /etc/inittab
diff --git a/chapter9/inputrc.sh b/chapter9/inputrc.sh
index 5da8f3b..92c8af2 100644
--- a/chapter9/inputrc.sh
+++ b/chapter9/inputrc.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/inputrc << "EOF"
# Begin /etc/inputrc
diff --git a/chapter9/network.sh b/chapter9/network.sh
index 05ab2fd..4b778cf 100644
--- a/chapter9/network.sh
+++ b/chapter9/network.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
pushd /etc/sysconfig/ >/dev/null || exit 1
cat > ifconfig.eth0 << "EOF"
diff --git a/chapter9/shells.sh b/chapter9/shells.sh
index dbeced4..60e0486 100644
--- a/chapter9/shells.sh
+++ b/chapter9/shells.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
cat > /etc/shells << "EOF"
# Begin /etc/shells